%define realname	Text-Diff

Name:		perl-%{realname}
Version:	0.35
Release:	%mkrel 5
License:	GPL or Artistic
Group:		Development/Perl
Summary:    Perform diffs on files and record sets
Source0:   http://search.cpan.org/CPAN/authors/id/R/RB/RBS/%{realname}-%{version}.tar.bz2 
Url:		http://www.cpan.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel
BuildRequires:  perl-Algorithm-Diff
BuildArch:      noarch

%description
%name provides a basic set of services akin to the GNU diff utility.
It is not anywhere near as feature complete as GNU diff, but it is 
better integrated with Perl and available on all platforms. 

It is often faster than shelling out to a system's diff
executable for small files, and generally slower on larger files.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{perl_vendorlib}/*
%{_mandir}/man3/*




%changelog
* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.35-5mdv2008.1
+ Revision: 151359
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.35-4mdv2007.0
+ Revision: 108449
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Text-Diff

* Sat Feb 05 2005 Sylvie Terjan <erinmargault@mandrake.org> 0.35-3mdk
- rebuild for new perl

* Sun Jun 06 2004 Michael Scherer <misc@mandrake.org> 0.35-2mdk 
- add BuildRequires

* Tue Mar 09 2004 Michael Scherer <misc@mandrake.org> 0.35-1mdk 
- First MandrakeSoft Package

